スタッフ呼び出し
POST
/staff_calls
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/staff_calls';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"storeId":"1","message":"T1テーブルのお客様がお呼びです"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/staff_calls \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "storeId": "1", "message": "T1テーブルのお客様がお呼びです" }'スタッフを呼び出します。
指定した店舗に登録されているハンディ端末に対してプッシュ通知で任意のメッセージを送信できます。
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
storeId
required
店舗ID
string
Example
1title
件名
string
Example
呼び出しmessage
required
メッセージ
string
Example
T1テーブルのお客様がお呼びですcreated
受付日時[YYYY-MM-DDThh:mm:ssTZD]
string format: date-time
Example
2020-09-07T11:45:20+09:00message
required
Example
T1テーブルのお客様がお呼びですResponses
Section titled “Responses”OK
Media typeapplication/json
object
storeId
店舗ID
string
title
件名
string
message
メッセージ
string
created
受付日時[YYYY-MM-DDThh:mm:ssTZD]
string format: date-time
Examples
Exampleレスポンス例
{ "storeId": "1", "title": "呼び出し", "message": "T1テーブルのお客様がお呼びです", "created": "2020-09-07T11:45:20+09:00"}入力チェックエラーの場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}